import dynamix_sdk.base as _base


class CloudapiDisksRenameResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiDisksRenameProtocol(_base.BasePostAPIFunctionProtocol):
    def rename(
        self,
        *,
        disk_id: int,
        name: str,
    ) -> CloudapiDisksRenameResultBool:
        ...
